### Class

# Spelling Checker

#### Description [src]

    final class Spelling.Checker : GObject.Object
    {
      /* No available fields */
    }

`SpellingChecker` is the core class of libspelling. It provides high-level APIs for spellchecking.

#### Ancestors

- GObject

#### Constructors

###### spelling_checker_new

Create a new `SpellingChecker`.

#### Functions

###### spelling_checker_get_default

Gets a default `SpellingChecker` using the default provider and language.

#### Instance methods

###### spelling_checker_add_word

Adds `word` to the active dictionary.

###### spelling_checker_check_word

Checks if the active dictionary contains `word`.

###### spelling_checker_get_extra_word_chars

Gets the extra word characters of the active dictionary.

###### spelling_checker_get_language

Gets the language being used by the spell checker.

###### spelling_checker_get_provider

Gets the spell provider used by the spell checker.

###### spelling_checker_ignore_word

Requests the active dictionary to ignore `word`.

###### spelling_checker_list_corrections

Retrieves a list of possible corrections for `word`.

###### spelling_checker_set_language

Sets the language code to use when communicating with the provider, such as `en_US`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Spelling.Checker:language

The “language” to use when checking words with the configured `SpellingProvider`. For example, `en_US`.

###### Spelling.Checker:provider

The “provider” property contains the provider that is providing information to the spell checker.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SpellingCheckerClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.